com.fasterxml.jackson.jaxrs.xml.annotation

## Annotation Type JacksonFeatures

- Deprecated.
  Since 2.2, use shared `JacksonFeatures` instead

      @Target(value={ANNOTATION_TYPE,METHOD})
      @Retention(value=RUNTIME)
      @Deprecated
      public @interface JacksonFeatures

  Annotation that can be used enable and/or disable various features for `ObjectReader`s and `ObjectWriter`s.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `com.fasterxml.jackson.databind.DeserializationFeature[]` | `deserializationDisable` Deprecated. Deserialization features to disable.
    `com.fasterxml.jackson.databind.DeserializationFeature[]` | `deserializationEnable` Deprecated. Deserialization features to enable.
    `com.fasterxml.jackson.databind.SerializationFeature[]` | `serializationDisable` Deprecated. Serialization features to disable.
    `com.fasterxml.jackson.databind.SerializationFeature[]` | `serializationEnable` Deprecated. Serialization features to enable.

- - ### Element Detail

    - #### deserializationEnable

          public abstract com.fasterxml.jackson.databind.DeserializationFeature[] deserializationEnable

      Deprecated.
      Deserialization features to enable.
      Default:
        {}

    - #### deserializationDisable

          public abstract com.fasterxml.jackson.databind.DeserializationFeature[] deserializationDisable

      Deprecated.
      Deserialization features to disable.
      Default:
        {}

    - #### serializationEnable

          public abstract com.fasterxml.jackson.databind.SerializationFeature[] serializationEnable

      Deprecated.
      Serialization features to enable.
      Default:
        {}

    - #### serializationDisable

          public abstract com.fasterxml.jackson.databind.SerializationFeature[] serializationDisable

      Deprecated.
      Serialization features to disable.
      Default:
        {}

Copyright © 2012–2013 FasterXML. All rights reserved.